# spec file for qt5-qtwayland
%global qt_module qtwayland

Name:    qt5-%{qt_module}
Version: 5.11.1
Release: 6
Summary: QtWayland component for qt5
License: LGPLv3
URL:     http://www.qt.io
%global major_minor %(echo %{version} | cut -d. -f1-2)
Source0: https://download.qt.io/new_archive/qt/5.11/5.11.1/submodules/qtwayland-everywhere-src-5.11.1.tar.xz

%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$

BuildRequires:  qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  qt5-qtdeclarative-devel libXext-devel
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(wayland-scanner) pkgconfig(wayland-server) pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor) pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(egl) pkgconfig(gl) pkgconfig(glesv2)
BuildRequires:  pkgconfig(xcomposite) pkgconfig(xrender)
BuildRequires:  pkgconfig(libudev) pkgconfig(libinput)


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: qt5-qtbase-devel%{?_isa}

%package help
Summary: Programming example files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description
This package is a Qt 5 module that wraps the functionality of Wayland.

%description devel
This package provide development files for %{name}

%description help
This package provide programming example files for %{name}


%prep
%autosetup -n %{qt_module}-everywhere-src-%{version} -p1


%build
%{qmake_qt5}
%make_build


%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" "${prl_file}"
  if [[ -f "$(basename ${prl_file} .prl).so" ]]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" "${prl_file}"
  fi
done
popd


%ldconfig_scriptlets

%files
%doc README
%license LICENSE.*
%{_qt5_libdir}/libQt5WaylandCompositor.so.5*
%{_qt5_libdir}/libQt5WaylandClient.so.5*

%{_qt5_plugindir}/platforms/libqwayland-egl.so
%{_qt5_plugindir}/platforms/libqwayland-generic.so
%{_qt5_plugindir}/platforms/libqwayland-xcomposite-egl.so
%{_qt5_plugindir}/platforms/libqwayland-xcomposite-glx.so

%{_qt5_plugindir}/wayland-decoration-client/
%{_qt5_plugindir}/wayland-graphics-integration-server
%{_qt5_plugindir}/wayland-graphics-integration-client
%{_qt5_plugindir}/wayland-shell-integration

%{_qt5_qmldir}/QtWayland/

%files devel
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_bindir}/qtwaylandscanner

%{_qt5_headerdir}/QtWaylandCompositor/
%{_qt5_headerdir}/QtWaylandClient/

%{_qt5_libdir}/cmake/Qt5WaylandCompositor/Qt5WaylandCompositorConfig*.cmake
%{_qt5_libdir}/libQt5WaylandCompositor.prl
%{_qt5_libdir}/libQt5WaylandCompositor.so
%{_qt5_libdir}/libQt5WaylandClient.prl
%{_qt5_libdir}/libQt5WaylandClient.so
%{_qt5_libdir}/pkgconfig/*.pc

%{_qt5_libdir}/cmake/Qt5Gui/Qt5Gui_*.cmake
%{_qt5_libdir}/cmake/Qt5WaylandClient/
%{_qt5_libdir}/cmake/Qt5WaylandCompositor/

%files help
%{_qt5_examplesdir}/wayland/


%changelog
* Wed Oct 14 2020 wutao <wutao61@huawei.com> - 5.11.1-6
- add build dependency to solve build failure

* Fri Sep 18 2020 liuweibo <liuweibo10@huawei.com> - 5.11.1-5
- Fix Source0

* Fri Feb 14 2020 lingsheng <lingsheng@huawei.com> - 5.11.1-4
- Package init
